dpkg-scansources(1)

NOME
dpkg-scanpackages - crea file Sources con indici

SINTASSI
dpkg-scansources [opzione...] dir-binari [file-override [prefisso-percorso]] > Sources

DESCRIZIONE
dpkg-scansources cerca file .dsc nella dir-binari specificata; essi vengono usati per creare un indice dei sorgenti Debian che viene restituito sullo stdout.

The override-file, if given, is used to set priorities in the resulting index records and to override the maintainer field given in the .dsc files. The file can be compressed (since dpkg 1.15.5). See deb-override(5) for the format of this file. Note: Since the override file is indexed by binary, not source packages, there's a bit of a problem here. The current implementation uses the highest priority of all the binary packages produced by a .dsc file for the priority of the source package, and the override entry for the first binary package listed in the .dsc file to modify maintainer information. This might change.

prefisso-percorso, se specificato, viene posto prima del campo directory nell'indice dei sorgenti generato. Viene generalmente usato per far sì che i campi directory contengano il percorso a partire dal punto più alto della gerarchia dell'archivio Debian.

Nota: Se si vuole accedere al file Sources generato con apt(8), sarà probabilmente necessario comprimere il file con gzip(1) (generando un file Sources.gz). apt ignora i file Sources non compressi, tranne per l'accesso locale (cioè fonti file://).

OPZIONI

-n, --no-sort
    Non ordina le voci nell'indice; normalmente vengono ordinate in base al nome del pacchetto sorgente.

-e, --extra-override file
Scan file to find supplementary overrides (since dpkg 1.15.4; the file
    can be compressed since dpkg 1.15.5). See deb-extra-override(5) for more information on its format.

-s, --source-override file
    Use file as the source override file (the file can be compressed since dpkg 1.15.5). The default is the name of the override file you specified with .src appended.

    Il file override dei sorgenti è in un formato diverso da quello del file override dei binari. Contiene solo due campi separati da spazi: il primo è il nome del pacchetto sorgente e il secondo è la sezione. Le righe vuote e le righe di commento vengono ignorate come di consueto. Se un pacchetto è presente in entrambi i file, il file override dei sorgenti ha la precedenza per ciò che riguarda l'impostazione della sezione.

--debug
    Attiva il debug.

--help
    Mostra il messaggio sull'uso ed esce.

--version
    Mostra la versione ed esce.

VEDERE ANCHE
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).